跳转到主内容

自ONTAP升级以来ZAPI超时

i
Knowledge Base guidance

This article may include metadata, visibility, validation state, and related support guidance.

适用场景

  • ONTAP 9
  • NetApp ONTAPI (ZAPI)
  • 服务处理器 (SP)
  • 基板管理控制器(BMC)

问题描述

  • ZAPI调用 <environment-sensors-get-iter> 在50秒以上后不返回任何值并超时
time curl --connect-timeout 30 --user username --insecure --data-ascii '<?xml version="1.0" encoding="UTF-8"?><netapp xmlns=http://www.netapp.com/filer/admin version="1.130"> <environment-sensors-get-iter/>
</netapp>' -H "Content-Type: text/xml" 'https://10.11.12.13/servlets/netapp....Lrequest_filer'
 
  % Total   % Received % Xferd  Average Speed  Time   Time   Time  Current
                 Dload  Upload  Total  Spent   Left  Speed
100  3078   0  2929  100  149   34    1  0:02:29  0:01:23  0:01:06  156
real   1m 29.31s
user   0m 0.02s
sys   0m 0.00s
  • cluster01::*> system node environment sensors show -node node01
Node Sensor         State Value/Units Crit-Low Warn-Low Warn-Hi Crit-Hi
---- --------------------- ------ ----------- -------- -------- ------- -------
ramfas11
PSU2          normal
GOOD
PSU1          normal
GOOD
Fan3          normal
GOOD
Fan2          normal
GOOD
Fan1          normal
GOOD
SP Status       normal
IPMI_HB_OK
mSATA Status      normal
OK
mSATA Pres       normal
PRESENT
 
Warning: Unable to list entries on node node01. The Service Processor on node "node01" is not reachable. Verify that the SP or BMC is online, verify that api-service is enabled on the
SP or BMC, verify that the partner node is running, check if pings from SP or BMC to partner node work, check if hw-assist keep-alives are normal, check that network ports are
configured correctly and are functional (up). Then, try the command again.
Error: show failed on node "node01": The Service Processor on node "node01" is not reachable. Verify that the SP or BMC is online, verify that api-service is enabled on the SP or BMC,
verify that the partner node is running, check if pings from SP or BMC to partner node work, check if hw-assist keep-alives are normal, check that network ports are configured
correctly and are functional (up). Then, try the command again.
8 entries were displayed.
  • SP-MGMT-MLOG-TXT.GZ ASUP部分出现SSL错误
00000026.021819cb 0448d1c2 Thu Aug 31 2023 18:19:02 +02:00 [kern_servprocd:info:6028] 0x80944b000: 8503e8000083abee: ERR: Servprocd::CLI: sp_get_sensor_info_worker : TTX ERROR: 7 (SSL_connect: certificate verify failed (SSL_error_code = 1))
00000026.021819cc 0448d1c2 Thu Aug 31 2023 18:19:02 +02:00 [kern_servprocd:info:6028] 0x80944b000: 8503e8000083abee: ERR: Servprocd::CLI: sp_get_sensor_info_worker : EXCEPTION Occured in closing the spcc transport
  • 重新启动API服务后、问题描述将继续
cluster01::*> system service-processor api-service modify -is-enabled false
cluster01::*> system service-processor api-service modify -is-enabled true
cluster01::*> system service-processor api-service check -node node01
  • 重新启动SP/BMC后、问题描述继续

cluster01::*> system service-processor reboot-sp -node node01